Bug 8344 - bad screensaver(failure to run and lock screen(xauth problem, I think)).
bad screensaver(failure to run and lock screen(xauth problem, I think)).
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
  Show dependency treegraph
Reported: 2000-01-10 14:50 EST by sschwenker
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-13 12:07:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sschwenker 2000-01-10 14:50:24 EST
I have just installed redhat 6.1.  I am using gnome after I log in to
gdm/xdm.  I also went into enlightment and set up the screensaver settings
to ask for a password when I come back if longer thatn 10 minutes.  I
noticed that the screensaver doesn't even come on.  I was playing with is
and used xhost +localhost and it worked temporairly.  The screensaver then
came on but The lock didn't work. This is a small security problem because
I don't want anyone on these machines if I walk away.
Comment 1 Bill Nottingham 2000-01-11 16:10:59 EST
xscreensaver will not run as root.
Comment 2 sschwenker 2000-01-13 12:06:59 EST
This bug Is not resolved.

I also have a redhat 6.0 linux server set up to do the same thing.  It works
perfectly fine.  Also if I do xhost +localhost and run xscreensaver manually,
then the screensaver will come on but not lock.  Why does it work in version 6.0
but not 6.1?

Obviously there is a bug if it did work but now doesn't.
Comment 3 Bill Nottingham 2000-01-13 12:07:59 EST
Because the 6.0 xscreensaver was *broken*. See the security errata.
Comment 4 randyv 2000-02-24 14:37:59 EST
I don't understand the resolution on this being set to WONTFIX.
Is there a security errata addressing the issue that this won't work under root?
In other words, is there a fix under security errata that allows this to work
under root?
If not, I'd say it is a bug that you cannot lock the screen while logged in as
Comment 5 Aleksey Nogin 2000-06-11 00:22:41 EDT
It's not a bug, it's a feature. See xscreensaver's man page. 

P.S. Logging into X as root is usually a bad idea since it means that you are
running a big number of programs as root that do not have any bisuness running
as root. Log in as yourself and use su or sudo.

Note You need to log in before you can comment on or make changes to this bug.